## perlkde 4.13.0

=== kdecore/src/CMakeLists.txt ===
include_directories(
    ${CMAKE_SOURCE_DIR}/generator
    ${CMAKE_SOURCE_DIR}/perl/qtcore/src
    ${PERL_INCLUDE_PATH}
    ${KDE4_INCLUDE_DIR}
    ${QT_INCLUDES} )

# Run doxsubpp.pl to run xsubpp on KDECore4.xs
add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/KDECore4.c
                   COMMAND ${PERL_EXECUTABLE} ARGS ${PERLQT_SHARE_DIR}/doxsubpp.pl ${PERL_EXECUTABLE} KDECore4.xs ${CMAKE_CURRENT_BINARY_DIR}/KDECore4.c
                   DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/KDECore4.xs
                   WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
)
# Make sure we build KDECore4.c as c++ code
set(CMAKE_C_COMPILER ${CMAKE_CXX_COMPILER})

set(CMAKE_C_FLAGS ${PERL_CXX_FLAGS})

set(kdecore4_LIBRARY_SRC
    ${CMAKE_CURRENT_BINARY_DIR}/KDECore4.c
    kdecore4handlers.cpp
)

set(LIBRARY_OUTPUT_PATH ${CMAKE_BINARY_DIR}/perl/blib/arch/auto/KDECore4)
add_library(kdecore4 MODULE ${kdecore4_LIBRARY_SRC})

target_link_libraries(kdecore4
    ${QT_QTNETWORK_LIBRARY} 
    ${QT_QTSQL_LIBRARY} 
    ${QT_QTOPENGL_LIBRARY} 
    ${QT_QTXML_LIBRARY} 
    ${QT_QTSVG_LIBRARY} 
    ${KDE4_KDECORE_LIBS}
    ${SMOKE_KDECORE_LIBRARY}
    ${PERLQTCORE4_LIBRARY})

set_target_properties(kdecore4 PROPERTIES OUTPUT_NAME "KDECore4")
set_target_properties(kdecore4 PROPERTIES PREFIX "")

install(TARGETS kdecore4 DESTINATION ${CUSTOM_PERL_SITE_ARCH_DIR}/auto/KDECore4/)

=== kfile/src/CMakeLists.txt ===
include_directories(
    ${CMAKE_SOURCE_DIR}/generator
    ${CMAKE_SOURCE_DIR}/perl/qtcore/src
    ${PERL_INCLUDE_PATH}
    ${QT_INCLUDES} )

# Run doxsubpp.pl to run xsubpp on KFile.xs
add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/KFile.c
                   COMMAND ${PERL_EXECUTABLE} ARGS ${PERLQT_SHARE_DIR}/doxsubpp.pl ${PERL_EXECUTABLE} KFile.xs ${CMAKE_CURRENT_BINARY_DIR}/KFile.c
                   DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/KFile.xs
                   WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
)
# Make sure we build KFile.c as c++ code
set_source_files_properties( ${CMAKE_CURRENT_BINARY_DIR}/KFile.c 
    PROPERTIES LANGUAGE CXX
)

set( CMAKE_CXX_FLAGS ${PERL_CXX_FLAGS} )

set(kfile_LIBRARY_SRC
    ${CMAKE_CURRENT_BINARY_DIR}/KFile.c
    kfilehandlers.cpp
)

set(LIBRARY_OUTPUT_PATH ${CMAKE_BINARY_DIR}/perl/blib/arch/auto/KFile)
add_library(perl_kfile MODULE ${kfile_LIBRARY_SRC})

target_link_libraries(perl_kfile
    ${SMOKE_KFILE_LIBRARY}
    ${PERLQTCORE4_LIBRARY})

set_target_properties(perl_kfile PROPERTIES OUTPUT_NAME "KFile")
set_target_properties(perl_kfile PROPERTIES PREFIX "")

install(TARGETS perl_kfile DESTINATION ${CUSTOM_PERL_SITE_ARCH_DIR}/auto/KFile/)

=== kfile/t/CMakeLists.txt ===
enable_testing()
set(prove_args -I${CMAKE_BINARY_DIR}/perl/blib/lib -I${CMAKE_BINARY_DIR}/perl/blib/arch)

# Class tests
add_test(perlqt_kfile_load prove ${prove_args} ${CMAKE_CURRENT_SOURCE_DIR}/a_loading.t)

=== kio/src/CMakeLists.txt ===
include_directories(
    ${CMAKE_SOURCE_DIR}/generator
    ${CMAKE_SOURCE_DIR}/perl/qtcore/src
    ${PERL_INCLUDE_PATH}
    ${KDE4_INCLUDE_DIR}
    ${QT_INCLUDES} )

# Run doxsubpp.pl to run xsubpp on KIO4.xs
add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/KIO4.c
                   COMMAND ${PERL_EXECUTABLE} ARGS ${PERLQT_SHARE_DIR}/doxsubpp.pl ${PERL_EXECUTABLE} KIO4.xs ${CMAKE_CURRENT_BINARY_DIR}/KIO4.c
                   DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/KIO4.xs
                   WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
)
# Make sure we build KIO4.c as c++ code
set_source_files_properties( ${CMAKE_CURRENT_BINARY_DIR}/KIO4.c 
    PROPERTIES LANGUAGE CXX
)

set( CMAKE_CXX_FLAGS ${PERL_CXX_FLAGS} )

set(kio4_LIBRARY_SRC
    ${CMAKE_CURRENT_BINARY_DIR}/KIO4.c
    kio4handlers.cpp
)

set(LIBRARY_OUTPUT_PATH ${CMAKE_BINARY_DIR}/perl/blib/arch/auto/KIO4)
add_library(perl_kio4 MODULE ${kio4_LIBRARY_SRC})

target_link_libraries(perl_kio4
    ${SMOKE_KIO_LIBRARY}
    ${PERLQTCORE4_LIBRARY})

set_target_properties(perl_kio4 PROPERTIES OUTPUT_NAME "KIO4")
set_target_properties(perl_kio4 PROPERTIES PREFIX "")

install(TARGETS perl_kio4 DESTINATION ${CUSTOM_PERL_SITE_ARCH_DIR}/auto/KIO4/)

=== kio/t/CMakeLists.txt ===
enable_testing()
set(prove_args -I${CMAKE_BINARY_DIR}/perl/blib/lib -I${CMAKE_BINARY_DIR}/perl/blib/arch)

# Class tests
add_test(perlqt_kio4_load prove ${prove_args} ${CMAKE_CURRENT_SOURCE_DIR}/a_loading.t)

=== knewstuff3/t/CMakeLists.txt ===
enable_testing()
set(prove_args -I${CMAKE_BINARY_DIR}/perl/blib/lib -I${CMAKE_BINARY_DIR}/perl/blib/arch)

# Class tests
add_test(perlqt_knewstuff3_load prove ${prove_args} ${CMAKE_CURRENT_SOURCE_DIR}/a_loading.t)

=== kparts/t/CMakeLists.txt ===
enable_testing()
set(prove_args -I${CMAKE_BINARY_DIR}/perl/blib/lib -I${CMAKE_BINARY_DIR}/perl/blib/arch)

# Class tests
add_test(perlqt_kparts_load prove ${prove_args} ${CMAKE_CURRENT_SOURCE_DIR}/a_loading.t)

=== kutils/lib/CMakeLists.txt ===
add_custom_target(kutilspm ALL ${CMAKE_COMMAND} -E copy ${CMAKE_CURRENT_SOURCE_DIR}/KUtils.pm ${CMAKE_BINARY_DIR}/perl/blib/lib/KUtils.pm)
install(FILES KUtils.pm DESTINATION ${CUSTOM_PERL_SITE_ARCH_DIR}/)

=== kutils/src/CMakeLists.txt ===
include_directories(
    ${CMAKE_SOURCE_DIR}/generator
    ${CMAKE_SOURCE_DIR}/perl/qtcore/src
    ${PERL_INCLUDE_PATH}
    ${QT_INCLUDES} )

# Run doxsubpp.pl to run xsubpp on KUtils.xs
add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/KUtils.c
                   COMMAND ${PERL_EXECUTABLE} ARGS ${PERLQT_SHARE_DIR}/doxsubpp.pl ${PERL_EXECUTABLE} KUtils.xs ${CMAKE_CURRENT_BINARY_DIR}/KUtils.c
                   DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/KUtils.xs
                   WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
)
# Make sure we build KUtils.c as c++ code
set_source_files_properties( ${CMAKE_CURRENT_BINARY_DIR}/KUtils.c 
    PROPERTIES LANGUAGE CXX
)

set( CMAKE_CXX_FLAGS ${PERL_CXX_FLAGS} )

set(kutils_LIBRARY_SRC
    ${CMAKE_CURRENT_BINARY_DIR}/KUtils.c
    kutilshandlers.cpp
)

set(LIBRARY_OUTPUT_PATH ${CMAKE_BINARY_DIR}/perl/blib/arch/auto/KUtils)
add_library(perl_kutils MODULE ${kutils_LIBRARY_SRC})

target_link_libraries(perl_kutils
    ${SMOKE_KUTILS_LIBRARY}
    ${PERLQTCORE4_LIBRARY})

set_target_properties(perl_kutils PROPERTIES OUTPUT_NAME "KUtils")
set_target_properties(perl_kutils PROPERTIES PREFIX "")

install(TARGETS perl_kutils DESTINATION ${CUSTOM_PERL_SITE_ARCH_DIR}/auto/KUtils/)

=== nepomuk/t/CMakeLists.txt ===
enable_testing()
set(prove_args -I${CMAKE_BINARY_DIR}/perl/blib/lib -I${CMAKE_BINARY_DIR}/perl/blib/arch)

# Class tests
add_test(perlqt_nepomuk_load prove ${prove_args} ${CMAKE_CURRENT_SOURCE_DIR}/a_loading.t)

=== plasma/src/CMakeLists.txt ===
include_directories(
    ${CMAKE_SOURCE_DIR}/generator
    ${CMAKE_SOURCE_DIR}/perl/qtcore/src
    ${PERL_INCLUDE_PATH}
    ${KDE4_INCLUDE_DIR}
    ${QT_INCLUDES} )

# Run doxsubpp.pl to run xsubpp on Plasma4.xs
add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/Plasma4.c
                   COMMAND ${PERL_EXECUTABLE} ARGS ${PERLQT_SHARE_DIR}/doxsubpp.pl ${PERL_EXECUTABLE} Plasma4.xs ${CMAKE_CURRENT_BINARY_DIR}/Plasma4.c
                   DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/Plasma4.xs
                   WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
)
# Make sure we build Plasma4.c as c++ code
set_source_files_properties( ${CMAKE_CURRENT_BINARY_DIR}/Plasma4.c 
    PROPERTIES LANGUAGE CXX
)

set( CMAKE_CXX_FLAGS ${PERL_CXX_FLAGS} )

set(plasma4_LIBRARY_SRC
    ${CMAKE_CURRENT_BINARY_DIR}/Plasma4.c
    plasma4handlers.cpp
)

set(LIBRARY_OUTPUT_PATH ${CMAKE_BINARY_DIR}/perl/blib/arch/auto/Plasma4)
add_library(perl_plasma4 MODULE ${plasma4_LIBRARY_SRC})

target_link_libraries(perl_plasma4
    ${SMOKE_PLASMA_LIBRARY}
    ${PERLQTCORE4_LIBRARY})

set_target_properties(perl_plasma4 PROPERTIES OUTPUT_NAME "Plasma4")
set_target_properties(perl_plasma4 PROPERTIES PREFIX "")

install(TARGETS perl_plasma4 DESTINATION ${CUSTOM_PERL_SITE_ARCH_DIR}/auto/Plasma4/)

=== plasma/examples/applets/analogclock/Makefile ===
all : Ui_ClockConfig.pm Ui_GeneralConfig.pm Ui_TimezonesConfig.pm Ui_CalendarConfig.pm

Ui_ClockConfig.pm : clockConfig.ui
	puic4 clockConfig.ui -o Ui_ClockConfig.pm

Ui_GeneralConfig.pm : generalConfig.ui
	puic4 generalConfig.ui -o Ui_GeneralConfig.pm

Ui_TimezonesConfig.pm : timezonesConfig.ui
	puic4 timezonesConfig.ui -o Ui_TimezonesConfig.pm

Ui_CalendarConfig.pm : calendarConfig.ui
	puic4 calendarConfig.ui -o Ui_CalendarConfig.pm

check :
	perl -c Ui_ClockConfig.pm
	perl -c Ui_GeneralConfig.pm
	perl -c Ui_TimezonesConfig.pm
	perl -c Ui_CalendarConfig.pm

clean :
	rm -f Ui_ClockConfig.pm Ui_GeneralConfig.pm Ui_TimezonesConfig.pm Ui_CalendarConfig.pm

## perlkde 4.7.1

=== debian/changelog ===
perlkde (4:4.7.1-0ubuntu1) oneiric; urgency=low

  * New upstream release

 -- Jonathan Kolberg <bulldog98@kubuntu-de.org>  Thu, 08 Sep 2011 10:41:00 -0400

perlkde (4.7.0-0ubuntu2) oneiric; urgency=low

  * Drop kate bindings (removed from smoke due to ABI instability)
    - Drop build-dep on kate-dev
    - Remove libkate-perl from debian/control

 -- Scott Kitterman <scott@kitterman.com>  Thu, 25 Aug 2011 12:59:30 -0400

perlkde (4.7.0-0ubuntu1) oneiric; urgency=low

  [ Philip Muškovac ]
  * Initial release

  [ Felix Geyer ]
  * perlkde-dbg: set section to debug and priority to extra.

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 02 Aug 2011 10:47:18 +0200

=== debian/control ===
Source: perlkde
Section: perl
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Philip Muškovac <yofel@kubuntu.org>
Build-Depends: cmake,
               kde-sc-dev-latest (>= 4:4.7.1),
               debhelper (>= 7.0.50~),
               kdelibs5-dev,
               kdepimlibs5-dev,
               libakonadi-dev,
               libattica-dev,
               libdb-dev,
               libgdbm-dev,
               libperl-dev,
               libsmokekde-dev,
               okular-dev,
               perlqt-dev,
               pkg-kde-tools (>= 0.12),
               smoke-dev-tools
Standards-Version: 3.9.2
Homepage: https://projects.kde.org/projects/kde/kdebindings/perl/perlkde
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/perlkde
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/perlkde

Package: libkdecore4-perl
Architecture: any
Depends: libqtcore4-perl, ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
Description: Perl bindings for the KDE Core library
 This package contains perl bindings for the KDE Core library.
 .
 It enables the use of KDE applications written in perl. For more details
 see the libkdecore5 package.
 .
 This Package is part of the PerlKDE module.

Package: libakonadi-perl
Architecture: any
Depends: libqtcore4-perl,
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Description: Perl bindings for Akonadi
 This package contains perl bindings for the Akonadi PIM storage service.
 .
 This Package is part of the PerlKDE module.

Package: libsolid-perl
Architecture: any
Depends: libqtcore4-perl,
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Description: Perl bindings for Solid
 This package contains perl bindings for the Solid device integration
 framework.
 .
 This Package is part of the PerlKDE module.

Package: libknewstuff2-perl
Architecture: any
Depends: libqtcore4-perl,
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Description: Perl bindings for KNewStuff2
 This package contains perl bindings for the "Get Hot New Stuff" v2 Library.
 .
 This Package is part of the PerlKDE module.

Package: libknewstuff3-perl
Architecture: any
Depends: libqtcore4-perl,
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Description: Perl bindings for KNewStuff3
 This package contains perl bindings for the "Get Hot New Stuff" v3 Library.
 .
 This Package is part of the PerlKDE module.

Package: libkparts-perl
Architecture: any
Depends: libqtcore4-perl,
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Description: Perl bindings for the KDE Platform Graphical Components
 This package contains perl bindings for the framework for reusable KDE
 components (kparts).
 .
 This Package is part of the PerlKDE module.

Package: libkio4-perl
Architecture: any
Depends: libkdecore4-perl (= ${binary:Version}),
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Description: Perl bindings for KIO4
 This package contains perl bindings for the Network-enabled File Management
 Library.
 .
 This Package is part of the PerlKDE module.

Package: libsoprano-perl
Architecture: any
Depends: libqtcore4-perl,
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Description: Perl bindings for the Soprano RDF framework
 This package contains perl bindings for the Soprano RDF framework.
 .
 This Package is part of the PerlKDE module.

Package: libsopranoserver-perl
Architecture: any
Depends: libqtcore4-perl,
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Description: Perl bindings for the Soprano RDF framework (server)
 This package contains perl bindings for the Soprano RDF framework.
 .
 This Package is part of the PerlKDE module.

Package: libsopranoclient-perl
Architecture: any
Depends: libqtcore4-perl,
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Description: Perl bindings for the Soprano RDF framework (client)
 This package contains perl bindings for the Soprano RDF framework.
 .
 This Package is part of the PerlKDE module.

Package: libkutils-perl
Architecture: any
Depends: libqtcore4-perl,
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Description: Perl bindings for various KDE utility classes
 This package contains perl bindings for ksettings, kemoticons, kcm, kprint
 and kplugin utils.
 .
 This Package is part of the PerlKDE module.

Package: libkhtml-perl
Architecture: any
Depends: libqtcore4-perl,
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Description: Perl bindings for KHTML
 This package contains perl bindings for the KHTML Web Content Rendering
 Engine.
 .
 This Package is part of the PerlKDE module.

Package: libplasma4-perl
Architecture: any
Depends: libkdeui4-perl (= ${binary:Version}),
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Description: Perl bindings for Plasma
 This package contains perl bindings for the Plasma library.
 .
 This Package is part of the PerlKDE module.

Package: libktexteditor-perl
Architecture: any
Depends: libqtcore4-perl,
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Description: Perl bindings for KTextEditor
 This package contains perl bindings for the KTextEditor interfaces.
 .
 This Package is part of the PerlKDE module.

Package: libkdeui4-perl
Architecture: any
Depends: libkdecore4-perl (= ${binary:Version}),
         libqtgui4-perl,
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Description: Perl bindings for the KDE Platform User Interface Library
 This package contains perl bindings for the KDE Platform User Interface
 Library which provides standard user interface elements for use in
 KDE Applications.
 .
 This Package is part of the PerlKDE module.

Package: libokular-perl
Architecture: any
Depends: libqtcore4-perl,
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Description: Perl bindings for Okular
 This package contains perl bindings for the Okular document reader.
 .
 This Package is part of the PerlKDE module.

Package: libattica-perl
Architecture: any
Depends: libqtcore4-perl,
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Description: Perl bindings for Attica
 This package contains perl bindings for the Attica library, a Qt library that
 implements the Open Collaboration Services API.
 .
 This Package is part of the PerlKDE module.

Package: libkfile-perl
Architecture: any
Depends: libqtcore4-perl,
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Description: Perl bindings for the Kfile library
 This package contains perl bindings for the File Selection Dialog Library for
 the KDE Platform.
 .
 This Package is part of the PerlKDE module.

Package: libnepomuk-perl
Architecture: any
Depends: libqtcore4-perl,
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Description: Perl bindings for the Nepomuk Meta Data Library
 This package contains perl bindings for the Nepomuk Meta Data Library.
 .
 This Package is part of the PerlKDE module.

Package: libnepomukquery-perl
Architecture: any
Depends: libqtcore4-perl,
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Description: Perl bindings for the Nepomuk Query Library
 This package contains perl bindings for the Nepomuk Query Library for the
 KDE Platform.
 .
 This Package is part of the PerlKDE module.

Package: perlkde-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libkdecore4-perl (= ${binary:Version}), ${misc:Depends}
Recommends: libsmokekde4-dbg
Suggests: libakonadi-perl (= ${binary:Version}),
          libattica-perl (= ${binary:Version}),
          libkate-perl (= ${binary:Version}),
          libkdeui4-perl (= ${binary:Version}),
          libkfile-perl (= ${binary:Version}),
          libkhtml-perl (= ${binary:Version}),
          libkio4-perl (= ${binary:Version}),
          libknewstuff2-perl (= ${binary:Version}),
          libknewstuff3-perl (= ${binary:Version}),
          libkparts-perl (= ${binary:Version}),
          libktexteditor-perl (= ${binary:Version}),
          libkutils-perl (= ${binary:Version}),
          libnepomuk-perl (= ${binary:Version}),
          libokular-perl (= ${binary:Version}),
          libplasma4-perl (= ${binary:Version}),
          libsolid-perl (= ${binary:Version}),
          libsoprano-perl (= ${binary:Version}),
          libsopranoclient-perl (= ${binary:Version}),
          libsopranoserver-perl (= ${binary:Version})
Description: Debugging symbols for the KDE Perl bindings.

## perlkde 4.8.2

=== debian/changelog ===
perlkde (4:4.8.2-0ubuntu1) precise; urgency=low

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 03 Apr 2012 08:51:49 +0000

perlkde (4:4.8.1-0ubuntu1) precise; urgency=low

  * New upstream release 

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 04 Mar 2012 21:07:44 +0100

perlkde (4:4.8.0-0ubuntu1) precise; urgency=low

  * New upstream release

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 23 Jan 2012 22:02:13 +0100

perlkde (4:4.7.97-0ubuntu1) precise; urgency=low

  * New upstream release candidate

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 05 Jan 2012 12:18:34 +0000

perlkde (4:4.7.95-0ubuntu1) precise; urgency=low

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 24 Dec 2011 23:06:00 +0100

perlkde (4:4.7.90-0ubuntu1) precise; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sat, 17 Dec 2011 20:56:01 +0000

perlkde (4:4.7.3-0ubuntu1) precise; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 23 Nov 2011 00:47:57 +0000

perlkde (4:4.7.1-0ubuntu2) precise; urgency=low

  * Rebuild for Perl 5.14.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 16 Nov 2011 09:32:07 +0000

=== debian/control ===
--- 
+++ 
@@ -4,18 +4,18 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Philip Muškovac <yofel@kubuntu.org>
 Build-Depends: cmake,
-               kde-sc-dev-latest (>= 4:4.7.1),
+               kde-sc-dev-latest (>= 4:4.8.1),
                debhelper (>= 7.0.50~),
-               kdelibs5-dev,
+               kdelibs5-dev (>= 4:4.8.1),
                kdepimlibs5-dev,
                libakonadi-dev,
                libattica-dev,
                libdb-dev,
                libgdbm-dev,
                libperl-dev,
-               libsmokekde-dev,
-               okular-dev,
-               perlqt-dev,
+               libsmokekde-dev (>= 4:4.8.1),
+               okular-dev (>= 4:4.8.1),
+               perlqt-dev (>= 4:4.8.1),
                pkg-kde-tools (>= 0.12),
                smoke-dev-tools
 Standards-Version: 3.9.2

## perlkde 4.9.2

=== debian/changelog ===
perlkde (4:4.9.2-0ubuntu2) quantal; urgency=low

  * Rebuild to get missing binaries that were lost due to being copied from
    proposed to release before they were built

 -- Scott Kitterman <scott@kitterman.com>  Fri, 05 Oct 2012 01:14:24 -0400

perlkde (4:4.9.2-0ubuntu1) quantal-proposed; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 02 Oct 2012 15:46:26 +0100

perlkde (4:4.9.1-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Harald Sitter <apachelogger@ubuntu.com>  Mon, 10 Sep 2012 21:43:28 +0200

perlkde (4:4.9.0-0ubuntu1) quantal; urgency=low

  * Use direct build-depends versions rather than kde-sc-dev-latest
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 26 Jul 2012 22:48:50 +0100

perlkde (4:4.8.90-0ubuntu1) quantal; urgency=low

  * New upstream beta release.

 -- Felix Geyer <debfx@ubuntu.com>  Wed, 13 Jun 2012 08:26:44 +0200

=== debian/control ===
--- 
+++ 
@@ -3,19 +3,18 @@
 Priority: optional
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Philip Muškovac <yofel@kubuntu.org>
-Build-Depends: cmake,
-               kde-sc-dev-latest (>= 4:4.8.1),
+Build-Depends: cmake,               
                debhelper (>= 7.0.50~),
-               kdelibs5-dev (>= 4:4.8.1),
+               kdelibs5-dev (>= 4:4.9.2),
                kdepimlibs5-dev,
                libakonadi-dev,
                libattica-dev,
                libdb-dev,
                libgdbm-dev,
                libperl-dev,
-               libsmokekde-dev (>= 4:4.8.1),
-               okular-dev (>= 4:4.8.1),
-               perlqt-dev (>= 4:4.8.1),
+               libsmokekde-dev (>= 4:4.9.2),
+               okular-dev (>= 4:4.9.2),
+               perlqt-dev (>= 4:4.9.2),
                pkg-kde-tools (>= 0.12),
                smoke-dev-tools
 Standards-Version: 3.9.2

## perlkde 4.10.0

=== debian/changelog ===
perlkde (4:4.10.0-0ubuntu1) raring-proposed; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 06 Feb 2013 12:23:29 +0000

perlkde (4:4.9.98-0ubuntu1) raring-proposed; urgency=low

  * New upstream release candidate

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 18 Jan 2013 16:33:27 +0000

perlkde (4:4.9.97-0ubuntu1) raring; urgency=low

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 03 Jan 2013 22:49:50 +0100

perlkde (4:4.9.95-0ubuntu1) raring; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Dec 2012 23:49:44 +0000

perlkde (4:4.9.90-0ubuntu1) raring-proposed; urgency=low

  * New upstream beta release
    - Drop kubuntu_01_akonadi_detection.diff, applied upstream

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Dec 2012 18:20:01 +0000

perlkde (4:4.9.80-0ubuntu1) raring; urgency=low

  * New upstream beta release
  * Add kubuntu_01_akonadi_detection.diff tidy up cmake

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 19 Nov 2012 16:23:02 +0000

perlkde (4:4.9.3-0ubuntu1) raring; urgency=low

  * New upstream release (LP: #1074747)

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 06 Nov 2012 22:51:11 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Original-Maintainer: Philip Muškovac <yofel@kubuntu.org>
 Build-Depends: cmake,               
                debhelper (>= 7.0.50~),
-               kdelibs5-dev (>= 4:4.9.2),
+               kdelibs5-dev (>= 4:4.10.0),
                kdepimlibs5-dev,
                libakonadi-dev,
                libattica-dev,

## perlkde 4.10.2

=== debian/changelog ===
perlkde (4:4.10.2-0ubuntu1) raring; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 31 Mar 2013 15:05:01 +0200

perlkde (4:4.10.1-0ubuntu1) raring-proposed; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 05 Mar 2013 16:58:47 +0000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Original-Maintainer: Philip Muškovac <yofel@kubuntu.org>
 Build-Depends: cmake,               
                debhelper (>= 7.0.50~),
-               kdelibs5-dev (>= 4:4.10.0),
+               kdelibs5-dev (>= 4:4.10.2),
                kdepimlibs5-dev,
                libakonadi-dev,
                libattica-dev,

## perlkde 4.10.5

=== debian/changelog ===
perlkde (4:4.10.5-0ubuntu0.1) raring; urgency=low

  * New upstream bugfix release (LP: #1196090)

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 10 Jul 2013 22:47:56 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Original-Maintainer: Philip Muškovac <yofel@kubuntu.org>
 Build-Depends: cmake,               
                debhelper (>= 7.0.50~),
-               kdelibs5-dev (>= 4:4.10.2),
+               kdelibs5-dev (>= 4:4.10.5),
                kdepimlibs5-dev,
                libakonadi-dev,
                libattica-dev,

## perlkde 4.11.2

=== debian/changelog ===
perlkde (4:4.11.2-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 30 Sep 2013 14:59:28 +0100

perlkde (4:4.11.1-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release.

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 06 Sep 2013 22:44:10 +0100

perlkde (4:4.11.0-0ubuntu1) saucy; urgency=low

  [ Howard Chan ]
  * New upstream release

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 14 Aug 2013 00:43:46 +0100

perlkde (4:4.10.97-0ubuntu1) saucy; urgency=low

  * New upstream RC 2 release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 26 Jul 2013 20:11:46 +0100

perlkde (4:4.10.95-0ubuntu1) saucy; urgency=low

  * New upstream RC release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 19 Jul 2013 12:33:34 +0000

perlkde (4:4.10.90-0ubuntu2) saucy; urgency=low

  * Drop unneeded build-dep on libdb-dev
  * Add extended description for perlkde-dbg

 -- Scott Kitterman <scott@kitterman.com>  Wed, 10 Jul 2013 15:04:18 -0400

perlkde (4:4.10.90-0ubuntu1) saucy; urgency=low

  * New upstream beta release

 -- Michał Zając <quintasan@kubuntu.org>  Fri, 28 Jun 2013 18:35:05 +0100

perlkde (4:4.10.80-0ubuntu1) saucy; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 21 Jun 2013 02:01:35 +0100

perlkde (4:4.10.4-0ubuntu1) saucy-proposed; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 07 Jun 2013 00:55:52 +0100

=== debian/control ===
--- 
+++ 
@@ -5,15 +5,14 @@
 XSBC-Original-Maintainer: Philip Muškovac <yofel@kubuntu.org>
 Build-Depends: cmake,               
                debhelper (>= 7.0.50~),
-               kdelibs5-dev (>= 4:4.10.5),
+               kdelibs5-dev (>= 4:4.11.2),
                kdepimlibs5-dev,
                libakonadi-dev,
                libattica-dev,
-               libdb-dev,
                libgdbm-dev,
                libperl-dev,
                libsmokekde-dev (>= 4:4.9.2),
-               okular-dev (>= 4:4.9.2),
+               okular-dev (>= 4:4.11.2),
                perlqt-dev (>= 4:4.9.2),
                pkg-kde-tools (>= 0.12),
                smoke-dev-tools
@@ -261,7 +260,6 @@
 Recommends: libsmokekde4-dbg
 Suggests: libakonadi-perl (= ${binary:Version}),
           libattica-perl (= ${binary:Version}),
-          libkate-perl (= ${binary:Version}),
           libkdeui4-perl (= ${binary:Version}),
           libkfile-perl (= ${binary:Version}),
           libkhtml-perl (= ${binary:Version}),
@@ -279,3 +277,7 @@
           libsopranoclient-perl (= ${binary:Version}),
           libsopranoserver-perl (= ${binary:Version})
 Description: Debugging symbols for the KDE Perl bindings.
+ This package contains debugging symbols for the perl bindings for the KDE
+ libraries.
+ .
+ This Package is part of the PerlKDE module.

## perlkde 4.11.3

=== debian/changelog ===
perlkde (4:4.11.3-0ubuntu0.1) saucy; urgency=low

  * New upstream bugfix release (LP: #1247235)

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 29 Nov 2013 16:12:24 +0000

=== debian/control ===
--- 
+++ 
@@ -5,21 +5,21 @@
 XSBC-Original-Maintainer: Philip Muškovac <yofel@kubuntu.org>
 Build-Depends: cmake,               
                debhelper (>= 7.0.50~),
-               kdelibs5-dev (>= 4:4.11.2),
+               kdelibs5-dev (>= 4:4.11.3),
                kdepimlibs5-dev,
                libakonadi-dev,
                libattica-dev,
                libgdbm-dev,
                libperl-dev,
                libsmokekde-dev (>= 4:4.9.2),
-               okular-dev (>= 4:4.11.2),
+               okular-dev (>= 4:4.11.3),
                perlqt-dev (>= 4:4.9.2),
                pkg-kde-tools (>= 0.12),
                smoke-dev-tools
 Standards-Version: 3.9.2
 Homepage: https://projects.kde.org/projects/kde/kdebindings/perl/perlkde
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/perlkde
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/perlkde
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/perlkde-13.10
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/perlkde-13.10
 
 Package: libkdecore4-perl
 Architecture: any

## perlkde 4.13.0

=== debian/changelog ===
perlkde (4:4.13.0-0ubuntu1) trusty; urgency=medium

  * New upstream KDE Software Compilation release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Apr 2014 22:31:32 +0100

perlkde (4:4.12.97-0ubuntu1) trusty; urgency=medium

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 02 Apr 2014 11:58:10 +0200

perlkde (4:4.12.95-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 23 Mar 2014 12:58:49 +0100

perlkde (4:4.12.90-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 19 Mar 2014 12:07:44 +0000

perlkde (4:4.12.3-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Mar 2014 21:19:15 +0100

perlkde (4:4.12.2-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 05 Feb 2014 00:33:57 +0000

perlkde (4:4.12.1-0ubuntu1) trusty; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 16 Jan 2014 09:11:19 +0000

perlkde (4:4.12.0-0ubuntu1) trusty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Dec 2013 17:50:10 +0000

perlkde (4:4.11.97-0ubuntu1) trusty; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 29 Nov 2013 13:48:40 +0000

perlkde (4:4.11.95-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 25 Nov 2013 18:42:43 +0100

perlkde (4:4.11.80-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sat, 23 Nov 2013 18:02:53 +0100

perlkde (4:4.11.2-0ubuntu2) trusty; urgency=low

  * Rebuild for Perl 5.18.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 22 Oct 2013 10:31:53 +0100

=== debian/control ===
--- 
+++ 
@@ -5,21 +5,21 @@
 XSBC-Original-Maintainer: Philip Muškovac <yofel@kubuntu.org>
 Build-Depends: cmake,               
                debhelper (>= 7.0.50~),
-               kdelibs5-dev (>= 4:4.11.3),
+               kdelibs5-dev (>= 4:4.13.0),
                kdepimlibs5-dev,
                libakonadi-dev,
                libattica-dev,
                libgdbm-dev,
                libperl-dev,
                libsmokekde-dev (>= 4:4.9.2),
-               okular-dev (>= 4:4.11.3),
+               okular-dev (>= 4:4.13.0),
                perlqt-dev (>= 4:4.9.2),
                pkg-kde-tools (>= 0.12),
                smoke-dev-tools
 Standards-Version: 3.9.2
 Homepage: https://projects.kde.org/projects/kde/kdebindings/perl/perlkde
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/perlkde-13.10
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/perlkde-13.10
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/perlkde
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/perlkde
 
 Package: libkdecore4-perl
 Architecture: any

## perlkde 4.14.1

=== debian/changelog ===
perlkde (4:4.14.1-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Mon, 22 Sep 2014 17:59:05 +0200

perlkde (4:4.14.0-0ubuntu3) utopic; urgency=medium

  * Adjust *.install to handle vendorarch change in Perl 5.20.  Requires
    debhelper 9 for executable configuration files.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 26 Aug 2014 15:04:23 -0700

perlkde (4:4.14.0-0ubuntu2) utopic; urgency=medium

  * Lower build-dep on smokekde

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 22 Aug 2014 12:29:00 +0200

perlkde (4:4.14.0-0ubuntu1) utopic; urgency=medium

  [ Scarlett Clark ]
  * New upstream release candidate.
  * Remove obsolete soprano support.

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 20 Aug 2014 13:43:33 +0200

perlkde (4:4.13.95-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Wed, 30 Jul 2014 20:55:28 +0200

perlkde (4:4.13.90-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Thu, 24 Jul 2014 23:46:06 +0200

perlkde (4:4.13.2-0ubuntu2) utopic; urgency=medium

  * Build-depend on nepomuk-core-dev so the nepomuk bindings are built

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 24 Jun 2014 21:03:05 +0200

perlkde (4:4.13.2-0ubuntu1) utopic; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Jun 2014 12:09:29 +0100

=== debian/control ===
--- 
+++ 
@@ -4,18 +4,18 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Philip Muškovac <yofel@kubuntu.org>
 Build-Depends: cmake,               
-               debhelper (>= 7.0.50~),
-               kdelibs5-dev (>= 4:4.13.0),
+               debhelper (>= 9~),
+               kdelibs5-dev (>= 4:4.14.1),
                kdepimlibs5-dev,
                libakonadi-dev,
                libattica-dev,
                libgdbm-dev,
                libperl-dev,
-               libsmokekde-dev (>= 4:4.9.2),
-               okular-dev (>= 4:4.13.0),
+               libsmokekde-dev (>= 4:4.14.1),
+               okular-dev (>= 4:4.14.1),
                perlqt-dev (>= 4:4.9.2),
                pkg-kde-tools (>= 0.12),
-               smoke-dev-tools
+               smoke-dev-tools,
 Standards-Version: 3.9.2
 Homepage: https://projects.kde.org/projects/kde/kdebindings/perl/perlkde
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/perlkde
@@ -101,39 +101,6 @@
  .
  This Package is part of the PerlKDE module.
 
-Package: libsoprano-perl
-Architecture: any
-Depends: libqtcore4-perl,
-         ${misc:Depends},
-         ${perl:Depends},
-         ${shlibs:Depends}
-Description: Perl bindings for the Soprano RDF framework
- This package contains perl bindings for the Soprano RDF framework.
- .
- This Package is part of the PerlKDE module.
-
-Package: libsopranoserver-perl
-Architecture: any
-Depends: libqtcore4-perl,
-         ${misc:Depends},
-         ${perl:Depends},
-         ${shlibs:Depends}
-Description: Perl bindings for the Soprano RDF framework (server)
- This package contains perl bindings for the Soprano RDF framework.
- .
- This Package is part of the PerlKDE module.
-
-Package: libsopranoclient-perl
-Architecture: any
-Depends: libqtcore4-perl,
-         ${misc:Depends},
-         ${perl:Depends},
-         ${shlibs:Depends}
-Description: Perl bindings for the Soprano RDF framework (client)
- This package contains perl bindings for the Soprano RDF framework.
- .
- This Package is part of the PerlKDE module.
-
 Package: libkutils-perl
 Architecture: any
 Depends: libqtcore4-perl,
@@ -226,29 +193,6 @@
 Description: Perl bindings for the Kfile library
  This package contains perl bindings for the File Selection Dialog Library for
  the KDE Platform.
- .
- This Package is part of the PerlKDE module.
-
-Package: libnepomuk-perl
-Architecture: any
-Depends: libqtcore4-perl,
-         ${misc:Depends},
-         ${perl:Depends},
-         ${shlibs:Depends}
-Description: Perl bindings for the Nepomuk Meta Data Library
- This package contains perl bindings for the Nepomuk Meta Data Library.
- .
- This Package is part of the PerlKDE module.
-
-Package: libnepomukquery-perl
-Architecture: any
-Depends: libqtcore4-perl,
-         ${misc:Depends},
-         ${perl:Depends},
-         ${shlibs:Depends}
-Description: Perl bindings for the Nepomuk Query Library
- This package contains perl bindings for the Nepomuk Query Library for the
- KDE Platform.
  .
  This Package is part of the PerlKDE module.
 
@@ -269,13 +213,9 @@
           libkparts-perl (= ${binary:Version}),
           libktexteditor-perl (= ${binary:Version}),
           libkutils-perl (= ${binary:Version}),
-          libnepomuk-perl (= ${binary:Version}),
           libokular-perl (= ${binary:Version}),
           libplasma4-perl (= ${binary:Version}),
-          libsolid-perl (= ${binary:Version}),
-          libsoprano-perl (= ${binary:Version}),
-          libsopranoclient-perl (= ${binary:Version}),
-          libsopranoserver-perl (= ${binary:Version})
+          libsolid-perl (= ${binary:Version})          
 Description: Debugging symbols for the KDE Perl bindings.
  This package contains debugging symbols for the perl bindings for the KDE
  libraries.
